%define momorel 4

Summary: AppleTalk networking programs
Name: netatalk
Version: 1.6.4
Release: %{momorel}m
License: GPL
Group: System Environment/Daemons
Source0: http://telia.dl.sourceforge.net/netatalk/netatalk-%{version}.tar.gz
NoSource: 0
Source1: netatalk.pamd
URL: http://netatalk.sourceforge.net/
BuildPrereq: pam-devel, cracklib-devel, openssl-devel, tcp_wrappers, perl
BuildPreReq: quota >= 3.01
BuildPrereq: rpm >= 4.0.4-6k
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: netatalk-1.4b2+asun

%description
netatalk is an implementation of the AppleTalk Protocol Suite for Unix/Linux
systems. The current release contains support for Ethertalk Phase I and II,
DDP, RTMP, NBP, ZIP, AEP, ATP, PAP, ASP, and AFP. It provides Appletalk file
printing and routing services on Solaris 2.5, Linux, FreeBSD, SunOS 4.1 and
Ultrix 4. It also supports AFP 2.1 and 2.2 (Appleshare IP).

%package devel
Summary: Appletalk and Appleshare/IP services for Linux development files
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
netatalk is an implementation of the AppleTalk Protocol Suite for Unix/Linux
systems. The current release contains support for Ethertalk Phase I and II,
DDP, RTMP, NBP, ZIP, AEP, ATP, PAP, ASP, and AFP. It provides Appletalk file
printing and routing services on Solaris 2.5, Linux, FreeBSD, SunOS 4.1 and
Ultrix 4. It also supports AFP 2.1 and 2.2 (Appleshare IP).

This package is required for developing appletalk-based applications.

%prep
%setup -q
perl -pi -e "s/# chkconfig: 345 91 35/# chkconfig: - 91 35/" distrib/initscripts/rc.atalk.redhat.tmpl

%build
%configure \
	--enable-fhs \
	--enable-lastdid \
	--enable-redhat \
	--with-cracklib \
	--with-shadow \
	--with-tcp-wrappers \
	--with-ssl \
	--enable-srvloc
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} sysvdir=%{_initscriptdir} transform='s,x,x,' install
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
rm -f  %{buildroot}%{_sysconfdir}/netatalk/netatalk.pamd
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/netatalk
( cd config; \
  install -m 644 Apple* *.conf %{buildroot}%{_sysconfdir}/netatalk)
# disable a script that needs /usr/bin/rc
chmod -x %{buildroot}%{_bindir}/acleandir.rc

# to avoid conflict against glibc-devel >= 2.3
rm -f %{buildroot}%{_includedir}/netatalk/at.h

# remove
rm -f %{buildroot}%{_includedir}/netatalk/aarp.c
rm -f %{buildroot}%{_includedir}/netatalk/at_control.c
rm -f %{buildroot}%{_includedir}/netatalk/at_proto.c
rm -f %{buildroot}%{_includedir}/netatalk/ddp_input.c
rm -f %{buildroot}%{_includedir}/netatalk/ddp_output.c
rm -f %{buildroot}%{_includedir}/netatalk/ddp_usrreq.c

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add atalk
/sbin/ldconfig
# Do only for the first install
if [ "$1" = 1 ] ; then
  # add a line of appletalk entry into %{_sysconfdir}/modules.conf
  # (or %{_sysconfdir}/conf.modules , is obsoleted)
  if [ -f %{_sysconfdir}/modules.conf ] ; then
    MODULES_CONF=%{_sysconfdir}/modules.conf
  else
    MODULES_CONF=%{_sysconfdir}/conf.modules
  fi
  if [ -f $MODULES_CONF ] ; then
    if ! grep -q appletalk $MODULES_CONF > /dev/null; then
      echo -n 'Add appletalk entry to '$MODULES_CONF'...'
      echo "alias net-pf-5 appletalk" >> $MODULES_CONF
      echo "OK"
    fi
  fi
fi

%preun
# Do only for the last un-install
if [ "$1" = 0 ] ; then
  /sbin/chkconfig --del atalk
  # remove a line of appletalk entry from
  # %{_sysconfdir}/modules.conf and %{_sysconfdir}/conf.modules(is obsoleted)
  for i in %{_sysconfdir}/modules.conf %{_sysconfdir}/conf.modules
  do
    if ( test -f $i && grep -q appletalk $i > /dev/null ) ; then
      echo -n 'Removing appletalk entry from '$i'...'
      ( cd %{_sysconfdir}; \
      mv $i $i.bak ; \
      sed -e 's:alias net-pf-5 appletalk::' $i.bak > $i ; \
      )
      echo "OK"
    fi
  done
fi

%files
%defattr(-,root,root)
%doc CONTRIBUTORS COPYING COPYRIGHT ChangeLog NEWS README TODO
%doc doc/[A-L,N-Z]*
%config(noreplace) %{_sysconfdir}/netatalk/Apple*
%config(noreplace) %{_sysconfdir}/netatalk/*.conf
%config %{_sysconfdir}/pam.d/netatalk
%config %{_initscriptdir}/atalk
%dir %{_sysconfdir}/netatalk
%dir %{_sysconfdir}/netatalk/nls
%dir %{_libdir}/netatalk
%{_sysconfdir}/netatalk/nls/*
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*
%{_libdir}/netatalk/*
%{_datadir}/netatalk

%files devel
%defattr(-,root,root)
%{_libdir}/lib*a
%dir %{_includedir}/atalk
%{_includedir}/atalk/*.h
%dir %{_includedir}/netatalk
%{_includedir}/netatalk/*.h
%{_datadir}/aclocal/netatalk.m4

%changelog
* Fri Jul  2 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.6.4-4m)
- stop daemon

* Mon Jun 28 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.4-3m)
- rebuild against db4.2

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (1.6.4-2m)
- revised spec for rpm 4.2.

* Fri Dec 19 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.4-1m)

* Sat Jul 19 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.6.3-2m)
- remove %{buildroot}%{_includedir}/netatalk/at.h (conflicts glibc-devel >= 2.3)

* Fri Jul 11 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.3-1m)

* Tue Jun 10 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.2-1m)

* Tue Mar 11 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.1-2m)
- revice %doc

* Mon Mar 10 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.1-1m)

* Sat Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.6.0-2m)
  rebuild against openssl 0.9.7a

* Tue Jan 21 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.0-1m)
- minor feature enhancements

* Tue Dec  3 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.5.5-1m)

* Mon Jun 17 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.5.3.1-2k)

* Sun Apr 14 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.5.2-8k)
- add pagecount.ps

* Mon Mar 11 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.5.2-6k)
- specify 'noreplace' to config files

* Mon Feb 24 2002 Shingo Akagaki <dora@kondara.org>
- (1.5.2-4k)
- just rebuild for .la fix

* Sun Feb 17 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.5.2-2k)
- change the License to GPL

* Mon Jan  7 2002 Tsutomu Yasuda <tom@kondara.org>
- update to 1.5.0

* Fri Nov 30 2001 Toru Hoshina <t@kondara.org>
- (1.5-0.0008006k)
- comment out %chkconfig

* Sat Nov 03 2001 Motonobu Ichimura <famao@kondara.org>
- (1.5-0.0008004k)
- add patch to build pam related modules correctly

* Mon Oct 22 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.5-0.0008002k)
- update to 1.5pre8
- add quota to BuildPreReq tag

* Tue Oct 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.5-0.0007004k)
- errased the process concerning with /etc/service

* Tue Oct  2 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.5-0.0007002k)
- remove '--with-pam' option because pam is enaled by default in this
- version and specifying '--with-pam' causes disabling pam. Why?

* Mon Sep 10 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (1.5-0.0006010k)
- Change Group

* Mon Aug  3 2001 Toru Hoshina <toru@df-usa.com>
- (1.5-0.0006008k)
- fixed system-auth issue.

* Sun Apr 29 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.5-0.0006004k)
- change %postun to %preun

* Mon Apr 16 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
-(1.5-0.0006002k)
 version 1.5pre6

* Thu Apr 12 2001 Shingo Akagaki <dora@kondara.org>
- (1.5pre5-2k)
- version 1.5-pre5

* Sun Dec  3 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (1.4b2+asun2.1.3-12k)
- modified spec file with macro to smart!

* Tue Nov 28 2000 Toru Hoshina <toru@df-usa.com>
- use _initscriptdir macro to keep backword compatibility.

* Fri Jul 28 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (1.4b2+asun2.1.3-8k)
- fix for rpm-3.0.5

* Fri Jul 28 2000 HOSONO Hidetomo <h@kondara.org>
- (1.4b2+asun2.1.3-7k)
- fix of %post and %postun about module configuration file.

* Wed May 24 2000 Daisuke Sato <d@kondara.org>
- fix to set 'alias net-pf-5 appletalk'
- fix to set allmulti mode to eth0

* Fri Feb 25 2000 Toru Hoshina <t@kondara.org>
- fix install.patch, don't make any symlinks to RPM_BUILD_ROOT!

* Sat Dec 11 1999 Shingo Akagaki <dora@kondara.org>
- fix spec file

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Mon Oct 11 1999 Norihito Ohmori <nono@kondara.org>
- /usr/include/netatalk/at.h remove (conflict glibc-devel)

* Tue Aug 3 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- rpm-3.0 needs to remove vogus files from source.
  Removed files: etc/papd/.#magics.c, etc/.#diff
* Fri Jul 30 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Change Copyright tag to BSD.
  Add /usr/bin/adv1tov2.
* Thu Apr 22 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Correct librpcsvc.patch.  Move %changelog section last.
  Uncomment again -DNEED_QUOTA_WRAPPER in sys/linux/Makefile since
  LinuxPPC may need.
* Wed Mar 31 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Comment out -DNEED_QUOTA_WRAPPER in sys/linux/Makefile.
* Sat Mar 20 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Correct symbolic links to psf.
  Remove asciize function from nbplkup so as to display Japanese hostname.
* Thu Mar 11 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Included MacPerl 5 script ICDumpSuffixMap which dumps suffix mapping
  containd in Internet Config Preference.
* Tue Mar 2 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [asun2.1.3]
* Mon Feb 15 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.2-8]
* Sun Feb 7 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.2-6]
* Mon Jan 25 1999 iNOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.2-3]
* Thu Dec 17 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.2]
  Remove crlf patch. It is now a server's option.
* Thu Dec 3 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use stable version source netatalk-1.4b2+asun2.1.1.tar.gz
  Add uams directory
* Sat Nov 28 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.1-3 source.
* Mon Nov 23 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.1-2 source.
* Mon Nov 16 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Fix rcX.d's symbolic links.
* Wed Oct 28 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0a-2 source. Remove '%exclusiveos linux' line.
* Sat Oct 24 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use stable version source netatalk-1.4b2+asun2.1.0.tar.gz.
* Mon Oct 5 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-10a source.
* Thu Sep 19 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-8 source. Add chkconfig support.
* Sat Sep 12 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Comment out -DCRLF. Use RPM_OPT_FLAGS.
* Mon Sep 8 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-7 source. Rename atalk.init to atalk.
* Mon Aug 22 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-6 source.
* Mon Jul 27 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-5 source.
* Tue Jul 21 1998 INOUE Koichi <inoue@ma.ns.musashi-techa.c.jp>
- Use pre-asun2.1.0-3 source.
* Tue Jul 7 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Add afpovertcp entries to /etc/services
- Remove BuildRoot in man8 pages
* Mon Jun 29 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use modified sources 1.4b2+asun2.1.0 produced by Adrian Sun
  <asun@saul9.u.washington.edu> to provide an AppleShareIP file server
- Included AppleVolumes.system file maintained by Johnson
  <johnson@stpt.usf.edu>
* Mon Aug 25 1997 David Gibson <D.Gibson@student.anu.edu.au>
- Used a buildroot
- Use RPM_OPT_FLAGS
- Moved configuration parameters/files from atalk.init to /etc/atalk
- Separated devel package
- Built with shared libraries
* Sun Jul 13 1997 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
- Updated sources from 1.3.3 to 1.4b2
- Included endian patch for Linux/SPARC
- Use all the configuration files supplied in the source.  This has the
  following advantages over the ones in the previous rpm release:
	+ The printer 'lp' isn't automatically placed in papd.conf
	+ The default file conversion is binary rather than text.
- Automatically add and remove DDP services from /etc/services
- Placed the recommended /etc/services in the documentation
- Changed atalk.init to give daemons a soft kill
- Changed atalk.init to make configuration easier

* Wed May 28 1997 Mark Cornick <mcornick@zorak.gsfc.nasa.gov>
Updated for /etc/pam.d
